Page MenuHomePhabricator

1.40.0-wmf.20 deployment blockers
Open, MediumPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
jnuche
Release Version
1.40.0-wmf.20
Release Date
Mon, Jan 23, 12:00 AM

2023 week 04 1.40-wmf.20 Changes wmf/1.40.0-wmf.20

This MediaWiki Train Deployment is scheduled for the week of Monday, January 23rd:

Monday January 23rdTuesday, January 24thWednesday, January 25thThursday, January 26thFriday
Backports only.Branch wmf.20 and deploy to Group 0 Wikis.Deploy wmf.20 to Group 1 Wikis.Deploy wmf.20 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.20 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.40.0-wmf.19
Next: 1.40.0-wmf.21

Event Timeline

thcipriani updated Other Assignee, added: jeena.
thcipriani set the point value for this task to 5.
thcipriani triaged this task as Medium priority.Dec 19 2022, 8:01 PM
thcipriani updated Other Assignee, added: jnuche; removed: jeena.

This isn't really a "risky patch" per se, but just flagging that a bunch of refactoring related to the Table of Contents landed this past week: https://gerrit.wikimedia.org/r/q/topic:toc has most of them.

These patches deliberately do *not* change the JSON representation of Table of Contents in the ParserCache, and so "should not" be risky from a deployment standpoint. (Next week's train might have some riskier changes.)

However, Discussion Tools and some other patches do depend on the new ParserOutput::getTOCData() methods added, so reverting https://gerrit.wikimedia.org/r/c/mediawiki/core/+/829083 could be tricky, involving reverts to a number of other related patches. Hopefully it won't be needed, but just flagging the issue so y'all know who to blame/get in touch with in case there are Table of Contents issues with this train.

cc @ssastry

Thanks Scott for flagging these here.

This isn't really a "risky patch" per se, but just flagging that a bunch of refactoring related to the Table of Contents landed this past week: https://gerrit.wikimedia.org/r/q/topic:toc has most of them.

That is a lot of patches there to sift through. So, I'll note that https://gerrit.wikimedia.org/r/c/mediawiki/core/+/829083 is the primary "risky" patch and https://gerrit.wikimedia.org/r/c/mediawiki/core/+/834409 and the https://gerrit.wikimedia.org/r/c/mediawiki/extensions/DiscussionTools/+/878196 are the two patches that are dependent on that patch. So, as Scott notes, if 829083 needs reverting, the other 2 patches will also need to be reverted. ( /cc @Jdlrobson and @matmarex as owners of those two patches).

Change 882767 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.40.0-wmf.20] Branch commit for wmf/1.40.0-wmf.20

https://gerrit.wikimedia.org/r/882767

Change 882767 merged by jenkins-bot:

[mediawiki/core@wmf/1.40.0-wmf.20] Branch commit for wmf/1.40.0-wmf.20

https://gerrit.wikimedia.org/r/882767

Change 882788 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/882788

Change 882788 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/882788

Mentioned in SAL (#wikimedia-operations) [2023-01-24T04:02:19Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.20 refs T325583

Mentioned in SAL (#wikimedia-operations) [2023-01-24T04:55:21Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.20 refs T325583 (duration: 53m 01s)

Change 883263 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/883263

Change 883263 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/883263

Mentioned in SAL (#wikimedia-operations) [2023-01-24T19:10:06Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.40.0-wmf.20 refs T325583

Mentioned in SAL (#wikimedia-operations) [2023-01-25T19:01:48Z] <brennen> 1.40.0-wmf.20 train (T325583): no blockers, rolling to group1.

Change 883647 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/883647

Change 883647 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/883647

Mentioned in SAL (#wikimedia-operations) [2023-01-25T19:10:00Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.20 refs T325583

Mentioned in SAL (#wikimedia-operations) [2023-01-25T19:17:04Z] <brennen@deploy1002> Synchronized php: group1 wikis to 1.40.0-wmf.20 refs T325583 (duration: 07m 04s)

Mentioned in SAL (#wikimedia-operations) [2023-01-26T19:00:45Z] <brennen> 1.40.0-wmf.20 train (T325583): no current blockers, rolling to all wikis.

Change 884054 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/884054

Change 884054 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/884054

Mentioned in SAL (#wikimedia-operations) [2023-01-26T19:09:41Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.40.0-wmf.20 refs T325583